<script setup lang="ts">
import {RouterView} from 'vue-router'
import {onMounted, onUnmounted} from "vue";
import {initDropdowns} from "flowbite";
import {useShortcutsListenerStore} from "@/stores/Shortcuts/ShortcutsListenerStore";

const shortcutsListener = useShortcutsListenerStore();

function onKeyDown(event: KeyboardEvent) {
  shortcutsListener.triggerKeyboardEvent(event);
}

onMounted(() => {
  initDropdowns();
  document.addEventListener('keydown', onKeyDown);
})

onUnmounted(() => {
  document.removeEventListener('keydown', onKeyDown);
})
</script>

<template>
  <RouterView/>
</template>
